Η Google θέτει νέες απαιτήσεις για τον πυρήνα Linux του Android


Παρότι η Google έχει δώσει αρκετές ελευθερίες στους κατασκευαστές (OEM) σχετικά με την συνολική διαμόρφωση του Android στα κινητά τους, πλέον από το Android 8 Oreo και έπειτα, θέτει νέα προαπαιτούμενα για την έκδοση πυρήνα Linux με την οποία θα κυκλοφορούν οι συσκευές.

Συγκεκριμένα, μέχρι και την έκδοση Android 7, εφόσον η διαμόρφωση των OEM ήταν σε θέση να περάσει τις δοκιμές πιστοποίησης που όριζε η Google, δεν την ένοιαζε ποια έκδοση του πυρήνα Linux χρησιμοποιήθηκε σε μια νέα συσκευή που θα λάνσαρε κάποια εταιρεία.

Με αυτή την «ελευθερία» όμως κάποιες εταιρίες… το παρατράβηξαν το ζήτημα με αποτέλεσμα να εμφανιστούν κενά ασφαλείας. Τα κενά αυτά αυτά ασφαλείας χειροτερεύουν την κατάσταση όταν στην εξίσωση μπαίνει και η άγνοια του χρήστη.

Linux… ο εγκέφαλος του λειτουργικού συστήματος Android

Θα αποφύγω να μπω σε λεπτομέρειες για το πως λειτουργεί και τι είναι το Android μιας και οι περισσότεροι τα γνωρίζετε. Θα μιλήσω όμως για τον πυρήνα Linux το οποίο στην παρούσα κατάσταση όπως είναι τα Android κινητά, οι εταιρίες έχουν δείξει τον χειρότερο εαυτό τους.

Εάν κάνετε τον κόπο και πάτε στην διεύθυνση kernel.org θα δείτε ότι η έκδοση μακράς υποστήριξης 3.18 έχει φτάσει στο τέλος της υποστήριξης για θέματα ενημερώσεων που σχετίζονται με κενά ασφαλείας. Τώρα συγκρίνετε τις εκδόσεις που βλέπετε εκεί με αυτήν που έχει η Android συσκευή σας πηγαίνοντας στις Ρυθμίσεις –> Σχετικά / Πληροφορίες –> Kernel Version / Έκδοση πυρήνα. Εναλλακτικά μπορείτε, αν έχετε κάποιο terminal emulator να το ανοίξετε και να δώσετε την παρακάτω εντολή:

uname -a

το οποίο θα σας εμφανίσει την έκδοση πυρήνα Linux κάπως έτσι:

Linux localhost 3.10.9 SMP PREEMPT...

Πρέπει να φοβόμαστε για την παλιά έκδοση του πυρήνα Linux στην Android συσκευή μας; Δύσκολη απάντηση.

Αυτό, διότι ο τρόπος με τον οποίο λειτουργεί το Android «εξασφαλίζει» ότι καμία εφαρμογή δεν θα μπορεί να χώνει την μύτη της εκεί που δεν πρέπει. Παράλληλα η Google με το PlayStore εξασφαλίζει ότι οι εφαρμογές που κάνετε εγκατάσταση από εκεί έχουν ελεγχθεί για τρωτά σημεία. Επίσης με το νέο Play Protect οι συσκευές μας «σκανάρονται» ανά τακτά διαστήματα για malware και ιούς και αφαιρούνται αυτόματα εάν εντοπιστεί κάποια απειλή (διαβάστε σχετικά με το Play Protect).

Παρόλες αυτές τις δικλίδες ασφαλείας όμως, η Google συνειδητοποίησε ότι εάν δεν θωρακίσει τον πυρήνα Linux που χρησιμοποιεί και δεν πιέσει τους κατασκευαστές να είναι πιο προσεκτικοί για τις εκδόσεις που χρησιμοποιούν τότε κανένας δεν μπορεί να εγγυηθεί την αξιοπιστία της συσκευής μας. Ακόμα και τώρα, οι εταιρίες ενώ, αν είστε τυχεροί, αναβαθμίζουν το λειτουργικό σύστημα περίπου για δύο χρόνια σε νέες εκδόσεις, συνήθως δεν αναβαθμίζουν τον πυρήνα Linux με αποτέλεσμα το πιο σημαντικό κομμάτι της συσκευής μας, αυτό που ελέγχει όλα τα εξαρτήματά του, να είναι εκτεθειμένο σε απειλές.

Αλλαγές στα προαπαιτούμενα του Android

Πλέον, οι OEM για τις συσκευές που είναι σε φάση σχεδιασμού εντός του 2017, θα πρέπει να χρησιμοποιούν την 4.4 έκδοση (ή νεότερη) του πυρήνα Linux, ενώ για αυτές που θα κυκλοφορήσουν φέτος με Android 8 θα πρέπει να έχουν τουλάχιστον 3.18 και άνω.

Με άλλα λόγια μπορεί μια OEM να έχει «βολευτεί» με κάποια έκδοση πυρήνα Linux, επειδή δουλεύει σε όλες τις συσκευές που κατασκευάζει, τώρα η Google αλλάζει το παιχνίδι και απαιτεί να έχουν νεότερη έκδοση.

Παράλληλα, θέτει νέους κανόνες για τον πυρήνα Linux στις οποίες ζητάει:

  • Να είναι ρυθμισμένος με CONFIG_IKCONFIG=y – CONFIG_IKCONFIG_PROC=y τα οποία δίνουν την δυνατότητα στην Google να μπορεί να αντλεί περισσότερες πληροφορίες για τον πυρήνα Linux
  • Ασχέτως έτους κυκλοφορίας, όσες συσκευές κυκλοφορήσουν με Android 8, θα πρέπει να είναι συμβατές με το Project Treble. Δηλαδή ανά πάσα στιγμή, εάν χρειαστεί, να μπορεί να αναβαθμιστεί ο πυρήνας Linux.

 

Επίλογος

Παρότι εμείς που χρησιμοποιούμε Linux στον υπολογιστή μας, οι αναβαθμίσεις του πυρήνα είναι αυτονόητες για τις περισσότερες διανομές, μέχρι και σήμερα αυτό δεν ισχύει για τις «έξυπνες» συσκευές που έχουμε στα χέρια μας. Με τις νέες προαπαιτήσεις που θέτει η Google για τον πυρήνα Linux, επιτέλους κατάλαβε ότι θα πρέπει οι OEM να συμμορφωθούν με τα στάνταρ ασφάλειας που θέτει η ανάπτυξη του πυρήνα Linux.


πηγές:

Advertisements

Σου άρεσε το άρθρο; Πες την άποψή σου... έστω και Ανώνυμα:

Εισάγετε τα παρακάτω στοιχεία ή επιλέξτε ένα εικονίδιο για να συνδεθείτε:

Λογότυπο WordPress.com

Σχολιάζετε χρησιμοποιώντας τον λογαριασμό WordPress.com. Αποσύνδεση / Αλλαγή )

Φωτογραφία Twitter

Σχολιάζετε χρησιμοποιώντας τον λογαριασμό Twitter. Αποσύνδεση / Αλλαγή )

Φωτογραφία Facebook

Σχολιάζετε χρησιμοποιώντας τον λογαριασμό Facebook. Αποσύνδεση / Αλλαγή )

Φωτογραφία Google+

Σχολιάζετε χρησιμοποιώντας τον λογαριασμό Google+. Αποσύνδεση / Αλλαγή )

Σύνδεση με %s